from ti_graphics import *
from math import pi,cos,sin,tan
from geolib import circle
from triangle import drawTriangle
from random import randint

imax = int(input("N="))*2*pi

_r=210//2 - 3
_step=0.15

X, Y, Y0 = 320, 210, 30
# Center
x0,y0 = (X//2, Y0 + Y//2)

# Radar colors
b=(0,0,0)
C=(255,170,113,75,50,0)  

# black screen
fillRect(0, Y0, X, Y)
# Radar outline
circle(x0, y0, _r + 1, (0, C[0], 0))

# Object
O=[]

i=0
while i<imax:
  p1=(x0 + int(_r * cos(i)), y0 + int(_r * sin(i)))
  for j in range(1,len(C)+1):
    p2=(x0 + int(_r * cos(i - j*_step)), y0 + int(_r * sin(i - j*_step)))
    drawTriangle((x0, y0), p1, p2, (0, C[j-1] ,0))
    p1=p2
  # draw obj
  if randint(0,100)<15:
    tmp=randint(_r//20,_r*19//20)
    O.append([x0 + int(tmp * cos(i)), y0 + int(tmp * sin(i)), 25])
  for io in range(len(O)):
    o=O[io]
    drawTriangle((o[0],o[1]),(o[0]-_r//20,o[1]+_r//20*tan(pi/3)),(o[0]+_r//20,o[1]+_r//20*tan(pi/3)),(o[2]*10,)*3)
    O[io][2]-=1
  if(len(O) and O[0][2]==-1):
    O=O[1:]
  i+=_step
